Axis2/C: transport in description

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# transport in description
[description]

## Files
file | axis2_transport_in_desc.h
| Axis2 description transport in interface.

## Typedefs
typedef struct axis2_transport_in_desc | axis2_transport_in_desc_t
## Functions
AXIS2_EXTERN void | axis2_transport_in_desc_free (axis2_transport_in_desc_t *transport_in_desc, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_transport_in_desc_free_void_arg (void *transport_in, const axutil_env_t *env)
AXIS2_EXTERN AXIS2_TRANSPORT_ENUMS | axis2_transport_in_desc_get_enum (const axis2_transport_in_desc_t *transport_in, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_in_desc_set_enum (struct axis2_transport_in_desc *transport_in, const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS trans_enum)
AXIS2_EXTERN struct axis2_flow * | axis2_transport_in_desc_get_in_flow (const axis2_transport_in_desc_t *transport_in, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_in_desc_set_in_flow (struct axis2_transport_in_desc *transport_in, const axutil_env_t *env, struct axis2_flow *in_flow)
AXIS2_EXTERN struct axis2_flow * | axis2_transport_in_desc_get_fault_in_flow (const axis2_transport_in_desc_t *transport_in, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_in_desc_set_fault_in_flow (struct axis2_transport_in_desc *transport_in, const axutil_env_t *env, struct axis2_flow *fault_in_flow)
AXIS2_EXTERN struct axis2_transport_receiver * | axis2_transport_in_desc_get_recv (const axis2_transport_in_desc_t *transport_in, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_in_desc_set_recv (struct axis2_transport_in_desc *transport_in, const axutil_env_t *env, struct axis2_transport_receiver *recv)
AXIS2_EXTERN struct axis2_phase * | axis2_transport_in_desc_get_in_phase (const axis2_transport_in_desc_t *transport_in, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_in_desc_set_in_phase (struct axis2_transport_in_desc *transport_in, const axutil_env_t *env, struct axis2_phase *in_phase)
AXIS2_EXTERN struct axis2_phase * | axis2_transport_in_desc_get_fault_phase (const axis2_transport_in_desc_t *transport_in, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_in_desc_set_fault_phase (struct axis2_transport_in_desc *transport_in, const axutil_env_t *env, struct axis2_phase *fault_phase)
AXIS2_EXTERN axis2_status_t | axis2_transport_in_desc_add_param (axis2_transport_in_desc_t *transport_in_desc, const axutil_env_t *env, axutil_param_t *param)
AXIS2_EXTERN axutil_param_t * | axis2_transport_in_desc_get_param (const axis2_transport_in_desc_t *transport_in_desc, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axis2_bool_t | axis2_transport_in_desc_is_param_locked (axis2_transport_in_desc_t *transport_in_desc, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axutil_param_container_t * | axis2_transport_in_desc_param_container (const axis2_transport_in_desc_t *transport_in_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_transport_in_desc_t * | axis2_transport_in_desc_create (const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS trans_enum)

## Detailed Description

transport in description represents a transport receiver configured in Axis2 configuration. There can be multiple transport receivers configured in axis2.xml file and each of them will be represented with a transport in description instance. deployment engine takes care of creating and instantiating transport in descriptions. transport in description encapsulates flows related to the transport in and also holds a reference to related transport receiver.

## Typedef Documentation

typedef struct axis2_transport_in_desc axis2_transport_in_desc_t

Type name for struct axis2_transport_in_desc

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_transport_in_desc_add_param | ( | axis2_transport_in_desc_t * | transport_in_desc,
|  | const axutil_env_t * | env,
|  | axutil_param_t * | param |
| ) |  |  |

Adds given parameter.

Parameters:

  | transport_in_desc | pointer to transport in description struct
  | env | pointer to environment struct
  | param | pointer to parameter, transport in description assumes ownership of parameter

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_transport_in_desc_t* axis2_transport_in_desc_create | ( | const axutil_env_t * | env,
|  | const AXIS2_TRANSPORT_ENUMS | trans_enum |
| ) |  |  |

Creates transport in description with given transport enum.

Parameters:

  | env | pointer to environment struct
  | trans_enum | transport enum

Returns:
  pointer to newly created phase holder

AXIS2_EXTERN void axis2_transport_in_desc_free | ( | axis2_transport_in_desc_t * | transport_in_desc,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees transport in description.

Parameters:

  | transport_in_desc | pointer to transport in description struct
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN void axis2_transport_in_desc_free_void_arg | ( | void * | transport_in,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees transport in description given as a void parameter.

Parameters:

  | transport_in | pointer to transport in description as a void pointer
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN AXIS2_TRANSPORT_ENUMS axis2_transport_in_desc_get_enum | ( | const axis2_transport_in_desc_t * | transport_in,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets transport enum.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct

Returns:
  transport enum

AXIS2_EXTERN struct axis2_flow* axis2_transport_in_desc_get_fault_in_flow | ( | const axis2_transport_in_desc_t * | transport_in,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets fault in flow. Fault in flow represents the list of phases invoked along the receive path if a fault happens.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct

Returns:
  pointer to flow representing fault in flow, returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_phase* axis2_transport_in_desc_get_fault_phase | ( | const axis2_transport_in_desc_t * | transport_in,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets the transport fault phase associated with transport in description.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct

Returns:
  pointer to phase representing fault phase

AXIS2_EXTERN struct axis2_flow* axis2_transport_in_desc_get_in_flow | ( | const axis2_transport_in_desc_t * | transport_in,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets in flow. In flow represents the list of phases invoked along the receive path.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct

Returns:
  pointer to flow representing in flow, returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_phase* axis2_transport_in_desc_get_in_phase | ( | const axis2_transport_in_desc_t * | transport_in,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets the transport in phase associated with transport in description.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct

Returns:
  transport in phase, returns a reference, not a cloned copy

AXIS2_EXTERN axutil_param_t* axis2_transport_in_desc_get_param | ( | const axis2_transport_in_desc_t * | transport_in_desc,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | param_name |
| ) |  |  |

Gets named parameter.

Parameters:

  | transport_in_desc | pointer to transport in description struct
  | env | pointer to environment struct
  | param_name | parameter name string

Returns:
  pointer to named parameter if it exists, else NULL. Returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_transport_receiver* axis2_transport_in_desc_get_recv | ( | const axis2_transport_in_desc_t * | transport_in,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets transport receiver associated with the transport in description.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct

Returns:
  pointer to transport receiver, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_bool_t axis2_transport_in_desc_is_param_locked | ( | axis2_transport_in_desc_t * | transport_in_desc,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | param_name |
| ) |  |  |

Checks if the named parameter is locked.

Parameters:

  | transport_in_desc | pointer to transport in description struct
  | env | pointer to environment struct
  | param_name | parameter name string

Returns:
  AXIS2_TRUE if named parameter is locked, else AXIS2_FALSE

AXIS2_EXTERN axis2_status_t axis2_transport_in_desc_set_enum | ( | struct axis2_transport_in_desc * | transport_in,
|  | const axutil_env_t * | env,
|  | const AXIS2_TRANSPORT_ENUMS | trans_enum |
| ) |  |  |

Sets transport enum.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct
  | trans_enum | transport enum

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_in_desc_set_fault_in_flow | ( | struct axis2_transport_in_desc * | transport_in,
|  | const axutil_env_t * | env,
|  | struct axis2_flow * | fault_in_flow |
| ) |  |  |

Sets fault in flow. Fault in flow represents the list of phases invoked along the receive path if a fault happens.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct
  | fault_in_flow | pointer to flow representing fault in flow, transport in description assumes the ownership of the flow

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_in_desc_set_fault_phase | ( | struct axis2_transport_in_desc * | transport_in,
|  | const axutil_env_t * | env,
|  | struct axis2_phase * | fault_phase |
| ) |  |  |

Sets the transport fault phase associated with transport in description.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct
  | fault_phase | pointer to fault phase

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_in_desc_set_in_flow | ( | struct axis2_transport_in_desc * | transport_in,
|  | const axutil_env_t * | env,
|  | struct axis2_flow * | in_flow |
| ) |  |  |

Sets in flow. In flow represents the list of phases invoked along the receive path.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct
  | in_flow | pointer to in flow representing in flow, transport in description assumes ownership of the flow

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_in_desc_set_in_phase | ( | struct axis2_transport_in_desc * | transport_in,
|  | const axutil_env_t * | env,
|  | struct axis2_phase * | in_phase |
| ) |  |  |

Sets the transport in phase associated with transport in description.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct
  | in_phase | pointer to phase representing transport in phase, transport in description assumes ownership of phase

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_in_desc_set_recv | ( | struct axis2_transport_in_desc * | transport_in,
|  | const axutil_env_t * | env,
|  | struct axis2_transport_receiver * | recv |
| ) |  |  |

Sets transport receiver associated with the transport in description.

Parameters:

  | transport_in | pointer to transport in description struct
  | env | pointer to environment struct
  | recv | pointer to transport receiver, transport in description assumes ownership of the receiver

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE